var list = {

	"Manual": {
		"Introduction": [
			[ "Creating a scene", "manual/introduction/Creating-a-scene" ],
			[ "Matrix transformations", "manual/introduction/Matrix-transformations" ]
		]
	},

	"Reference": {

		"Animation": [
			[ "AnimationAction", "api/animation/AnimationAction" ],
			[ "AnimationClip", "api/animation/AnimationClip" ],
			[ "AnimationMixer", "api/animation/AnimationMixer" ],
			[ "AnimationObjectGroup", "api/animation/AnimationObjectGroup" ],
			[ "AnimationUtils", "api/animation/AnimationUtils" ],
			[ "KeyframeTrack", "api/animation/KeyframeTrack" ],
			[ "PropertyBinding", "api/animation/PropertyBinding" ],
			[ "PropertyMixer", "api/animation/PropertyMixer" ]
		],

		"Animation / Tracks": [
		  [ "BooleanKeyframeTrack", "api/animation/tracks/BooleanKeyframeTrack" ],
		  [ "ColorKeyframeTrack", "api/animation/tracks/ColorKeyframeTrack" ],
		  [ "NumberKeyframeTrack", "api/animation/tracks/NumberKeyframeTrack" ],
		  [ "QuaternionKeyframeTrack", "api/animation/tracks/QuaternionKeyframeTrack" ],
		  [ "StringKeyframeTrack", "api/animation/tracks/StringKeyframeTrack" ],
		  [ "VectorKeyframeTrack", "api/animation/tracks/VectorKeyframeTrack" ]
		],

		"Audio": [
			[ "Audio", "api/audio/Audio" ],
			[ "AudioAnalyser", "api/audio/AudioAnalyser" ],
			[ "AudioContext", "api/audio/AudioContext" ],
			[ "AudioListener", "api/audio/AudioListener" ],
			[ "PositionalAudio", "api/audio/PositionalAudio" ]
		],

		"Cameras": [
			[ "Camera", "api/cameras/Camera" ],
			[ "CubeCamera", "api/cameras/CubeCamera" ],
			[ "OrthographicCamera", "api/cameras/OrthographicCamera" ],
			[ "PerspectiveCamera", "api/cameras/PerspectiveCamera" ],
			[ "StereoCamera", "api/cameras/StereoCamera" ]
		],

		"Constants": [
			[ "Animation", "api/constants/Animation" ],
			[ "Core", "api/constants/Core" ],
			[ "CustomBlendingEquation", "api/constants/CustomBlendingEquations" ],
			[ "DrawModes", "api/constants/DrawModes" ],
			[ "Materials", "api/constants/Materials" ],
			[ "Renderer", "api/constants/Renderer" ],
			[ "Textures", "api/constants/Textures" ]
		],

		"Core": [
			[ "BufferAttribute", "api/core/BufferAttribute" ],
			[ "BufferGeometry", "api/core/BufferGeometry" ],
			[ "Clock", "api/core/Clock" ],
			[ "DirectGeometry", "api/core/DirectGeometry" ],
			[ "EventDispatcher", "api/core/EventDispatcher" ],
			[ "Face3", "api/core/Face3" ],
			[ "Geometry", "api/core/Geometry" ],
			[ "InstancedBufferAttribute", "api/core/InstancedBufferAttribute" ],
			[ "InstancedBufferGeometry", "api/core/InstancedBufferGeometry" ],
			[ "InstancedInterleavedBuffer", "api/core/InstancedInterleavedBuffer" ],
			[ "InterleavedBuffer", "api/core/InterleavedBuffer" ],
			[ "InterleavedBufferAttribute", "api/core/InterleavedBufferAttribute" ],
			[ "Layers", "api/core/Layers" ],
			[ "Object3D", "api/core/Object3D" ],
			[ "Raycaster", "api/core/Raycaster" ],
			[ "Uniform", "api/core/Uniform"]
		],

		"Core / BufferAttributes": [
			[ "BufferAttribute Types", "api/core/bufferAttributeTypes/BufferAttributeTypes" ]
		],

		"Deprecated": [
			[ "DeprecatedList", "api/deprecated/DeprecatedList" ]
		],

		"Extras": [
			[ "CurveUtils", "api/extras/CurveUtils" ],
			[ "SceneUtils", "api/extras/SceneUtils" ],
			[ "ShapeUtils", "api/extras/ShapeUtils" ]
		],

		"Extras / Core": [
			[ "Curve", "api/extras/core/Curve" ],
			[ "CurvePath", "api/extras/core/CurvePath" ],
			[ "Font", "api/extras/core/Font" ],
			[ "Path", "api/extras/core/Path" ],
			[ "Shape", "api/extras/core/Shape" ],
			[ "ShapePath", "api/extras/core/ShapePath" ]
		],

		"Extras / Curves": [
			[ "ArcCurve", "api/extras/curves/ArcCurve" ],
			[ "CatmullRomCurve3", "api/extras/curves/CatmullRomCurve3" ],
			[ "CubicBezierCurve", "api/extras/curves/CubicBezierCurve" ],
			[ "CubicBezierCurve3", "api/extras/curves/CubicBezierCurve3" ],
			[ "EllipseCurve", "api/extras/curves/EllipseCurve" ],
			[ "LineCurve", "api/extras/curves/LineCurve" ],
			[ "LineCurve3", "api/extras/curves/LineCurve3" ],
			[ "QuadraticBezierCurve", "api/extras/curves/QuadraticBezierCurve" ],
			[ "QuadraticBezierCurve3", "api/extras/curves/QuadraticBezierCurve3" ],
			[ "SplineCurve", "api/extras/curves/SplineCurve" ],
			[ "SplineCurve3", "api/extras/curves/SplineCurve3" ]
		],

		"Extras / Helpers": [
			[ "ArrowHelper", "api/extras/helpers/ArrowHelper" ],
			[ "AxisHelper", "api/extras/helpers/AxisHelper" ],
			[ "BoxHelper", "api/extras/helpers/BoxHelper" ],
			[ "CameraHelper", "api/extras/helpers/CameraHelper" ],
			[ "DirectionalLightHelper", "api/extras/helpers/DirectionalLightHelper" ],
			[ "FaceNormalsHelper", "api/extras/helpers/FaceNormalsHelper" ],
			[ "GridHelper", "api/extras/helpers/GridHelper" ],
			[ "PolarGridHelper", "api/extras/helpers/PolarGridHelper"],
			[ "HemisphereLightHelper", "api/extras/helpers/HemisphereLightHelper" ],
			[ "PointLightHelper", "api/extras/helpers/PointLightHelper" ],
			[ "RectAreaLightHelper", "api/extras/helpers/RectAreaLightHelper" ],
			[ "SkeletonHelper", "api/extras/helpers/SkeletonHelper" ],
			[ "SpotLightHelper", "api/extras/helpers/SpotLightHelper" ],
			[ "VertexNormalsHelper", "api/extras/helpers/VertexNormalsHelper" ]
		],

		"Extras / Objects": [
			[ "ImmediateRenderObject", "api/extras/objects/ImmediateRenderObject" ],
			[ "MorphBlendMesh", "api/extras/objects/MorphBlendMesh" ]
		],

		"Geometries": [
			[ "BoxBufferGeometry", "api/geometries/BoxBufferGeometry" ],
			[ "BoxGeometry", "api/geometries/BoxGeometry" ],
			[ "CircleBufferGeometry", "api/geometries/CircleBufferGeometry" ],
			[ "CircleGeometry", "api/geometries/CircleGeometry" ],
			[ "ConeBufferGeometry", "api/geometries/ConeBufferGeometry" ],
			[ "ConeGeometry", "api/geometries/ConeGeometry" ],
			[ "CylinderBufferGeometry", "api/geometries/CylinderBufferGeometry" ],
			[ "CylinderGeometry", "api/geometries/CylinderGeometry" ],
			[ "DodecahedronBufferGeometry", "api/geometries/DodecahedronBufferGeometry" ],
			[ "DodecahedronGeometry", "api/geometries/DodecahedronGeometry" ],
			[ "EdgesGeometry", "api/geometries/EdgesGeometry" ],
			[ "ExtrudeGeometry", "api/geometries/ExtrudeGeometry" ],
			[ "IcosahedronBufferGeometry", "api/geometries/IcosahedronBufferGeometry" ],
			[ "IcosahedronGeometry", "api/geometries/IcosahedronGeometry" ],
			[ "LatheBufferGeometry", "api/geometries/LatheBufferGeometry" ],
			[ "LatheGeometry", "api/geometries/LatheGeometry" ],
			[ "OctahedronBufferGeometry", "api/geometries/OctahedronBufferGeometry" ],
			[ "OctahedronGeometry", "api/geometries/OctahedronGeometry" ],
			[ "ParametricBufferGeometry", "api/geometries/ParametricBufferGeometry" ],
			[ "ParametricGeometry", "api/geometries/ParametricGeometry" ],
			[ "PlaneBufferGeometry", "api/geometries/PlaneBufferGeometry" ],
			[ "PlaneGeometry", "api/geometries/PlaneGeometry" ],
			[ "PolyhedronBufferGeometry", "api/geometries/PolyhedronBufferGeometry" ],
			[ "PolyhedronGeometry", "api/geometries/PolyhedronGeometry" ],
			[ "RingBufferGeometry", "api/geometries/RingBufferGeometry" ],
			[ "RingGeometry", "api/geometries/RingGeometry" ],
			[ "ShapeBufferGeometry", "api/geometries/ShapeBufferGeometry" ],
			[ "ShapeGeometry", "api/geometries/ShapeGeometry" ],
			[ "SphereBufferGeometry", "api/geometries/SphereBufferGeometry" ],
			[ "SphereGeometry", "api/geometries/SphereGeometry" ],
			[ "TetrahedronBufferGeometry", "api/geometries/TetrahedronBufferGeometry" ],
			[ "TetrahedronGeometry", "api/geometries/TetrahedronGeometry" ],
			[ "TextGeometry", "api/geometries/TextGeometry" ],
			[ "TorusBufferGeometry", "api/geometries/TorusBufferGeometry" ],
			[ "TorusGeometry", "api/geometries/TorusGeometry" ],
			[ "TorusKnotBufferGeometry", "api/geometries/TorusKnotBufferGeometry" ],
			[ "TorusKnotGeometry", "api/geometries/TorusKnotGeometry" ],
			[ "TubeGeometry", "api/geometries/TubeGeometry" ],
			[ "TubeBufferGeometry", "api/geometries/TubeBufferGeometry" ],
			[ "WireframeGeometry", "api/geometries/WireframeGeometry" ]
		],

		"Lights": [
			[ "AmbientLight", "api/lights/AmbientLight" ],
			[ "DirectionalLight", "api/lights/DirectionalLight" ],
			[ "HemisphereLight", "api/lights/HemisphereLight" ],
			[ "Light", "api/lights/Light" ],
			[ "PointLight", "api/lights/PointLight" ],
			[ "SpotLight", "api/lights/SpotLight" ]
		],

		"Lights / Shadows": [
			[ "DirectionalLightShadow", "api/lights/DirectionalLightShadow" ],
			[ "LightShadow", "api/lights/LightShadow" ],
			[ "SpotLightShadow", "api/lights/SpotLightShadow" ]
		],

		"Loaders": [
			[ "AnimationLoader", "api/loaders/AnimationLoader" ],
			[ "AudioLoader", "api/loaders/AudioLoader" ],
			[ "BinaryTextureLoader", "api/loaders/BinaryTextureLoader" ],
			[ "BufferGeometryLoader", "api/loaders/BufferGeometryLoader" ],
			[ "Cache", "api/loaders/Cache" ],
			[ "CompressedTextureLoader", "api/loaders/CompressedTextureLoader" ],
			[ "CubeTextureLoader", "api/loaders/CubeTextureLoader" ],
			[ "DataTextureLoader", "api/loaders/DataTextureLoader" ],
			[ "FileLoader", "api/loaders/FileLoader" ],
			[ "FontLoader", "api/loaders/FontLoader" ],
			[ "ImageLoader", "api/loaders/ImageLoader" ],
			[ "JSONLoader", "api/loaders/JSONLoader" ],
			[ "Loader", "api/loaders/Loader" ],
			[ "MaterialLoader", "api/loaders/MaterialLoader" ],
			[ "ObjectLoader", "api/loaders/ObjectLoader" ],
			[ "TextureLoader", "api/loaders/TextureLoader" ]
		],

		"Loaders / Managers": [
			[ "DefaultLoadingManager", "api/loaders/DefaultLoadingManager" ],
			[ "LoadingManager", "api/loaders/LoadingManager" ]
		],

		"Materials": [
			[ "LineBasicMaterial", "api/materials/LineBasicMaterial" ],
			[ "LineDashedMaterial", "api/materials/LineDashedMaterial" ],
			[ "Material", "api/materials/Material" ],
			[ "MeshBasicMaterial", "api/materials/MeshBasicMaterial" ],
			[ "MeshDepthMaterial", "api/materials/MeshDepthMaterial" ],
			[ "MeshLambertMaterial", "api/materials/MeshLambertMaterial" ],
			[ "MeshNormalMaterial", "api/materials/MeshNormalMaterial" ],
			[ "MeshPhongMaterial", "api/materials/MeshPhongMaterial" ],
			[ "MeshPhysicalMaterial", "api/materials/MeshPhysicalMaterial" ],
			[ "MeshStandardMaterial", "api/materials/MeshStandardMaterial" ],
			[ "MultiMaterial", "api/materials/MultiMaterial" ],
			[ "PointsMaterial", "api/materials/PointsMaterial" ],
			[ "RawShaderMaterial", "api/materials/RawShaderMaterial" ],
			[ "ShaderMaterial", "api/materials/ShaderMaterial" ],
			[ "ShadowMaterial", "api/materials/ShadowMaterial" ],
			[ "SpriteMaterial", "api/materials/SpriteMaterial" ]
		],

		"Math": [
			[ "Box2", "api/math/Box2" ],
			[ "Box3", "api/math/Box3" ],
			[ "Color", "api/math/Color" ],
			[ "Euler", "api/math/Euler" ],
			[ "Frustum", "api/math/Frustum" ],
			[ "Interpolant", "api/math/Interpolant" ],
			[ "Line3", "api/math/Line3" ],
			[ "Math", "api/math/Math" ],
			[ "Matrix3", "api/math/Matrix3" ],
			[ "Matrix4", "api/math/Matrix4" ],
			[ "Plane", "api/math/Plane" ],
			[ "Quaternion", "api/math/Quaternion" ],
			[ "Ray", "api/math/Ray" ],
			[ "Sphere", "api/math/Sphere" ],
			[ "Spherical", "api/math/Spherical" ],
			[ "Spline", "api/math/Spline" ],
			[ "Triangle", "api/math/Triangle" ],
			[ "Vector2", "api/math/Vector2" ],
			[ "Vector3", "api/math/Vector3" ],
			[ "Vector4", "api/math/Vector4" ]
		],

		"Math / Interpolants": [
			[ "CubicInterpolant", "api/math/interpolants/CubicInterpolant" ],
			[ "DiscreteInterpolant", "api/math/interpolants/DiscreteInterpolant" ],
			[ "LinearInterpolant", "api/math/interpolants/LinearInterpolant" ],
			[ "QuaternionLinearInterpolant", "api/math/interpolants/QuaternionLinearInterpolant" ]
		],

		"Objects": [
			[ "Bone", "api/objects/Bone" ],
			[ "Group", "api/objects/Group" ],
			[ "LensFlare", "api/objects/LensFlare" ],
			[ "Line", "api/objects/Line" ],
			[ "LineSegments", "api/objects/LineSegments" ],
			[ "LOD", "api/objects/LOD" ],
			[ "Mesh", "api/objects/Mesh" ],
			[ "Points", "api/objects/Points" ],
			[ "Skeleton", "api/objects/Skeleton" ],
			[ "SkinnedMesh", "api/objects/SkinnedMesh" ],
			[ "Sprite", "api/objects/Sprite" ]
		],

		"Polyfills": [
			[ "Polyfills", "api/polyfills" ]
		],

		"Renderers": [
			[ "WebGLRenderer", "api/renderers/WebGLRenderer" ],
			[ "WebGLRenderTarget", "api/renderers/WebGLRenderTarget" ],
			[ "WebGLRenderTargetCube", "api/renderers/WebGLRenderTargetCube" ]
		],

		"Renderers / Shaders": [
			[ "ShaderChunk", "api/renderers/shaders/ShaderChunk" ],
			[ "ShaderLib", "api/renderers/shaders/ShaderLib" ],
			[ "UniformsLib", "api/renderers/shaders/UniformsLib" ],
			[ "UniformsUtils", "api/renderers/shaders/UniformsUtils" ]
		],

		"Renderers / WebGL": [
			[ "WebGLProgram", "api/renderers/webgl/WebGLProgram" ],
			[ "WebGLShader", "api/renderers/webgl/WebGLShader" ],
			[ "WebGLState", "api/renderers/webgl/WebGLState" ]
		],

		"Renderers / WebGL / Plugins": [
			[ "LensFlarePlugin", "api/renderers/webgl/plugins/LensFlarePlugin" ],
			[ "SpritePlugin", "api/renderers/webgl/plugins/SpritePlugin" ]
		],

		"Scenes": [
			[ "Fog", "api/scenes/Fog" ],
			[ "FogExp2", "api/scenes/FogExp2" ],
			[ "Scene", "api/scenes/Scene" ]
		],

		"Textures": [
			[ "CanvasTexture", "api/textures/CanvasTexture" ],
			[ "CompressedTexture", "api/textures/CompressedTexture" ],
			[ "CubeTexture", "api/textures/CubeTexture" ],
			[ "DataTexture", "api/textures/DataTexture" ],
			[ "DepthTexture", "api/textures/DepthTexture" ],
			[ "Texture", "api/textures/Texture" ],
			[ "VideoTexture", "api/textures/VideoTexture" ]
		]

	},

	"Examples": {

		"Collada Animation": [
			[ "ColladaAnimation", "examples/collada/Animation" ],
			[ "AnimationHandler", "examples/collada/AnimationHandler" ],
			[ "KeyFrameAnimation", "examples/collada/KeyFrameAnimation" ]
		],

		"Loaders": [
			[ "BabylonLoader", "examples/loaders/BabylonLoader" ],
			[ "ColladaLoader", "examples/loaders/ColladaLoader" ],
			[ "GLTFLoader", "examples/loaders/GLTFLoader" ],
			[ "MTLLoader", "examples/loaders/MTLLoader" ],
			[ "OBJLoader", "examples/loaders/OBJLoader" ],
			[ "PCDLoader", "examples/loaders/PCDLoader" ],
			[ "PDBLoader", "examples/loaders/PDBLoader" ],
			[ "SVGLoader", "examples/loaders/SVGLoader" ],
			[ "TGALoader", "examples/loaders/TGALoader" ]
		],

		"Plugins": [
			[ "CombinedCamera", "examples/cameras/CombinedCamera" ],
			[ "LookupTable", "examples/Lut" ],
			[ "SpriteCanvasMaterial", "examples/SpriteCanvasMaterial" ]
		],

		"Renderers": [
			[ "CanvasRenderer", "examples/renderers/CanvasRenderer" ]
		]

	}

};

var pages = {};

for ( var section in list ) {

	pages[ section ] = {};

	for ( var category in list[ section ] ) {

		pages[ section ][ category ] = {};

		for ( var i = 0; i < list[ section ][ category ].length; i ++ ) {

			var page = list[ section ][ category ][ i ];
			pages[ section ][ category ][ page[ 0 ] ] = page[ 1 ];

		}

	}

}
